# SourcePath: psmisc/20051109rel
Summary: Utilities that use the proc filesystem
Name: sony-target-rel-psmisc
%define pkgname %{sony_target_config}-rel-psmisc
Version: 21.6
Release: 010501
Source: ftp://lrcftp.epfl.ch:/pub/linux/local/psmisc/psmisc-21.6.tar.gz
Patch: psmisc-21.6-killall-sslibc.patch
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}
%define _defaultdocdir	%{sony_cross_target_dir}%{sony_target_rel_doc_dir}


%description
This package contains three little utilities that use the proc FS:

`fuser' identifies processes using files (similar to Sun's or SGI's fuser).
`killall' kills processes by name, e.g. killall -HUP named. `pstree' shows
the currently running processes as a tree

%package -n %{pkgname}
Summary: Utilities that use the proc filesystem
Group: %{sony_group}
AutoReqProv: no


%description -n %{pkgname}
This package contains three little utilities that use the proc FS:

`fuser' identifies processes using files (similar to Sun's or SGI's fuser).
`killall' kills processes by name, e.g. killall -HUP named. `pstree' shows
the currently running processes as a tree

# Primary package

%prep
%setup -n psmisc-%{version}
%patch -p1

%build
%if "%{sony_target_lib_name}" == "glibc"
%sony_target_dev_setup
%else
%sony_target_rel_setup
%endif
./config/missing --run autoconf
%sony_target_rel_configure
make CC=$CC REAL_CPP="$CC -E" | tee -a build.log


%install
%if "%{sony_target_lib_name}" == "glibc"
%sony_target_dev_setup
%else
%sony_target_rel_setup
%endif
cp COPYING LICENSE
rm -rf %{buildroot}
%sony_target_rel_makeinstall
install -d %{buildroot}%{sony_cross_target_dir}/bin
mv %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/killall %{buildroot}%{sony_cross_target_dir}/bin 

rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_man_dir}
# gzip -v9 %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_man_dir}/man*/*


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
# %{sony_cross_target_dir}%{sony_target_rel_bin_dir}/*
%{sony_cross_target_dir}/bin/killall
# %doc %{sony_cross_target_dir}%{sony_target_man_dir}/man1/*
# %doc LICENSE


%changelog
* Wed Nov  9 2005 Sony Corporation
- Initial Build
